mb_strrchr
mb_strripos
Multibyte String Functions
PHP Manual

# mb_strrichr

(PHP 5 >= 5.2.0)

mb_strrichr — Finds the last occurrence of a character in a string within another, case insensitive

### Description

string mb_strrichr ( string `$haystack` , string `$needle` [, bool `$part` = false [, string `$encoding` ]] )

mb_strrichr() finds the last occurrence of `needle` in `haystack` and returns the portion of `haystack`. Unlike mb_strrchr(), mb_strrichr() is case-insensitive. If `needle` is not found, it returns `FALSE`.

### Parameters

`haystack`

  The string from which to get the last occurrence of `needle`

`needle`

  The string to find in `haystack`

`part`

  Determines which portion of `haystack` this function returns. If set to `TRUE`, it returns all of `haystack` from the beginning to the last occurrence of `needle`. If set to `FALSE`, it returns all of `haystack` from the last occurrence of `needle` to the end,

`encoding`

  Character encoding name to use. If it is omitted, internal character encoding is used.

### Return Values

Returns the portion of `haystack`. or `FALSE` if `needle` is not found.

### See Also

- mb_stristr() - Finds first occurrence of a string within another, case insensitive
- mb_strrchr() - Finds the last occurrence of a character in a string within another

mb_strrchr
mb_strripos
Multibyte String Functions
PHP Manual